import * as React from 'react';
export declare type SingleOrArray<T> = T | T[];
export interface Token {
    type: string;
    content: SingleOrArray<string | Token>;
    alias?: SingleOrArray<string>;
}
export interface TokenProps {
    token: SingleOrArray<string | Token>;
}
export declare function TokenElement(props: TokenProps): React.ReactElement<TokenProps>;
